Subject: Re: [PATCH 0/2] Minor Refactors: remove useless else

From: Junio C Hamano <[email-masked]>
Date: Thu, 06 Oct 2022 10:06:43 -0700

"dsal3389 via GitGitGadget" <[email-masked]> writes:

> git.c removed redundant else statement - it is redundant because all we
> actually need is to check if there are no arguments, the program print
> helpful information to the screen and exit, we don't need the else for that
>
> git-p4.py L371 - remove redundant else statement - same as git.c (made sure
> not to repeat what was already done on #1349
> [https://github.com/git/git/pull/1349]) git-p4.py L404 - minor, there is no
> need to decode the output and iterate over the variable if we may exit
>
> dsal3389 (2):
>   python file more pytonic, adjust "if" and "for"
>   removed else statement
>
>  git-p4.py |  9 ++++-----
>  git.c     | 14 ++++++++------
>  2 files changed, 12 insertions(+), 11 deletions(-)

Welcome to the Git development community.

A few general suggestions.

 * Familiarlize yourself with Documentation/CodingGuidelines and
   Documentation/SubmittingPatches.

 * See how commits in the project are explained in their log
   messages in "git shortlog --no-merges -n100" (for how their
   titles are written to help distinguish them among many other
   commits) and "git log --no-merges -n100" (for how they explain
   why making their changes is a good idea and helps the project).

 * Make sure the name and the e-mail used as the author of your
   commits match the name and the e-mail on the Signed-off-by: line
   in them.

 * Spell check before sending things out to the public list.